MSR_SAMPRATE(3)

DESCRIPTION
Determine sample rate from an MSRecord structure

SYNOPSIS
#include <libmseed.h>
double  msr_samprate ( MSRecord *msr );
double  msr_nomsamprate ( MSRecord *msr );

DESCRIPTION
msr_samprate will calculate a double precision sample rate in samples per second using the header values in the specified MSRecord. If a Blockette 100 is included, the "Actual sample rate" (field 3) will be returned, otherwise a nominal sample rate will be calculated from the sample rate factor and multiplier in the fixed section data header. NOTE: The sample rate for a MSRecord structure is available directly at MSRecord.samplerate. libmseed based programs should use that sample rate whenever possible (msr_unpack uses msr_samprate to set MSRecord.samplerate). msr_nomsamprate will calculate a double precision sample rate in samples per second using the sample rate factor and multiplier in the fixed section data header.

RETURN VALUES
msr_samprate returns a double precision sample rate on success and -1.0 on error. msr_nomsamprate returns a double precision sample rate on success and -1.0 on error.

SEE ALSO
ms_intro(3) and msr_unpack(3).

AUTHOR
Chad Trabant
IRIS Data Management Center